Bug 509079 - No rescaling of graphics
No rescaling of graphics
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 05:02 EDT by William Murray
Modified: 2013-04-02 00:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 11:19:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg file (53.86 KB, text/plain)
2009-07-06 07:35 EDT, William Murray
no flags Details
Xorg.0.log (194.07 KB, text/plain)
2009-07-06 07:36 EDT, William Murray
no flags Details

  None (edit)
Description William Murray 2009-07-01 05:02:21 EDT
Description of problem:
Full screen graphics always appear in small window in screen centre


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start full screen program (e.g. superTux)
2. Watch it working in small window withj black all round
3.
  
Actual results:
Watch it working in small window with black all round

Expected results:
Full screen

Additional info:
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)

/var/log/messages is filling up at 70hz with:
Jul  1 11:00:45 hepntl141 kernel: [drm:drm_wait_vblank] *ERROR* failed to acquire vblank counter, -22


mplayer with vo xv can go fullscreenglxinfo
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
Comment 1 Matěj Cepl 2009-07-06 03:19:42 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 William Murray 2009-07-06 07:35:19 EDT
Created attachment 350592 [details]
dmesg file
Comment 3 William Murray 2009-07-06 07:36:55 EDT
Created attachment 350593 [details]
Xorg.0.log
Comment 4 William Murray 2009-07-06 07:37:44 EDT
There is no xorg.conf on my machine.
The other files are uploaded. [Funny, I could have sworn I uploaded
the Xorg.0.log already..sorry]

   Bill
Comment 6 Matěj Cepl 2009-11-05 13:33:37 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 William Murray 2009-11-08 14:10:52 EST
Indeed, I have tested this under F12 live, and there it works fine.
I hope it also does after the upgrade....
   Thanks!
Comment 8 William Murray 2009-11-19 07:58:40 EST
And in F12 it is also fixed.
Comment 9 Matěj Cepl 2009-11-19 11:19:40 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.